/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package entityJB;

import javax.ejb.Remote;

/**
 *
 * @author eve
 */
@Remote
public interface BaleBeanRemote {

    

    public entityJB.Baleent findBalesbyid(java.lang.Long balid);

    public java.util.List<entityJB.Baleent> findBalebyname(java.lang.String balname);


    public java.util.List<entityJB.Baleent> findAllBales();

    

    public java.util.List<entityJB.Baleent> findBalebyDescript(java.lang.String description);

    public java.util.List<entityJB.Baleent> findbyDespcodename(java.lang.String param);

   
    public void createBale(java.lang.String contid, java.lang.String balname, java.lang.String description, java.lang.String colour, double price, java.lang.String balsize);
    
}
